%define module_name Test-Mojo-Role-PSGI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Runtime.pm) perl(Class/Method/Modifiers.pm) perl(FindBin.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/MountPSGI.pm) perl(Moose.pm) perl(Role/Tiny.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Test PSGI apps using Test::Mojo
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JB/JBERGER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Test::Mojo manpage makes testing the Mojolicious manpage applications easy and fun.
Wouldn't it be nice if there was some way to use it for non-Mojolicious apps?
the Test::Mojo::Role::PSGI manpage does just that.

The author suggests using the Test::Mojo::WithRoles manpage to make instances of the tester with (possibly multiple) roles applied in a sane way.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/T*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu Nov 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

